'use strict';
import React, {
  AppRegistry,
  AppState,
  Component,
  StyleSheet,
  Text,
  View,
  //Navigator,
  NavigationExperimental,
  StatusBarIOS,
  TouchableOpacity,
} from 'react-native';

import Post from './Post';

let Navigator = NavigationExperimental.LegacyNavigator;

export default class Root extends Component {
  _navigatorDidFocus(e) {
    //StatusBarIOS.setStyle(1);
  }


  render() {
    let sc = Navigator.SceneConfigs.FloatFromRight;
    sc.gestures.pop.edgeHitWidth = 500;

    console.log("@Render Root.....")

    return (
      <Navigator
        style={{flex:1}}
        sceneStyle={{overflow: 'visible'}}
        initialRoute={{component: Post}}
        ref={navigator => {
            navigator && navigator.navigationContext.addListener('didfocus', this._navigatorDidFocus);
          }}
        configureScene={() => {
          return sc;
        }}
        renderScene={(route, navigator) => {
            if (route.component) {
              return (
                <route.component navigator={navigator} {...route.passProps}/>
              );
            }
          }}
      />
    );
  }
}
