import * as types from './actions';

function postList(state = {}, action) {
  switch (action.type) {
    case types.REQUEST_POST_LIST:
      return {
        ...state,
        isFetching: true,
      };

    case types.RECEIVE_POST_LIST:
      return {
        ...state,
        list: action.data,
        isFetching: false,
      };
    default:
      return state;
  }

}

export default postList;